cfengine2 (2.2.10-6) unstable; urgency=medium

  [ Laurent Bigonville ]
  * Enable SELinux support on linux architectures (Closes: #752074)

  [ Antonio Radici ]
  * debian/control:
    + Removed obsolete DM-Upload-Allowed field.
    + Canonicalized VCS links.
    + Standard-Version upgraded, no changes required.
  * Added Italian translation of debconf messages (Closes: 768576)
  * debian/cfengine2.init:
    + Better reporting for the init script (thanks to Mats Erik Andersson for
      the patch!) (Closes: 721445)
  * debian/watch: updated with the new link
  * debian/patches
    + hardening-changes.patch: removed two potential format string bugs.
    + build-info.patch: stop distributing html due to the adsense privacy
      violation.
    + fix-spelling-errors.patch: added more spelling fixes.
  * debian/cfengine2.init: modified to provide "status"
    
 -- Antonio Radici <antonio@debian.org>  Sun, 21 Aug 2016 09:24:15 +0100

cfengine2 (2.2.10-5) unstable; urgency=low

  * debian/patches:
    + added 658945-drop-getopts-pl.patch which drops the deprecated getopts.pl
      in favour of Getopt::Std (Closes: 658945).
    + added another spelling error to fix-spelling-errors.patch.
  * debian/control:
    + added a perl as Build-Dep for the above change.
    + added a versioned dep to debhelper 7.0.50 (for the simplified rules).
    + switched my mail to antonio@debian.org.
    + Standards-Version bumped to 3.9.3, no changes required.
  * debian/rules: simplyfing the build process with the new debhelper.
  * debian/dirs: create /etc/cfengine on a clean install (Closes: 624265)

 -- Antonio Radici <antonio@debian.org>  Tue, 20 Mar 2012 21:33:29 +0000

cfengine2 (2.2.10-4) unstable; urgency=low

  * debian/control: added dh-autoreconf to Build-Depends
  * debian/rules:
    + use dh_autoreconf to manage the regeneration of the autotools-related 
      files
    + remove any reference to quilt
    + removing any static library (Closes: 621243)
  * debian/clean: removed any Makefile.in reference, dh_autoreconf_clean will
    do the job
  * debian/source/local-options: unapply-patches after the package is built
  * debian/patches:
    + build-only-info.patch renamed to build-info-and-html.patch
    + fix-spelling-errors.patch: fix some spelling errors to make lintian happy
    + added descriptions to all patches missing them
  * debian/cfengine2.doc-base: installing HTML tutorial and reference
    (Closes: 582324)
  * debian/cfengine2.NEWS: removing asterisks

 -- Antonio Radici <antonio@dyne.org>  Tue, 12 Apr 2011 21:10:50 +0100

cfengine2 (2.2.10-3) unstable; urgency=low

  * Added the Danish template translation (Closes: 587369)
  * debian/watch: updated to retrieve the latest version
  * debian/control:
    + Standards-Version bumped to 3.9.1, no changes required
  * debian/source/format:
    + file added to specify '3.0 (quilt)'
  * debian/patches: refreshed
  * debian/clean: removing the autogenerated manuals
  * debian/rules: removing /usr/share/info/dir.gz

 -- Antonio Radici <antonio@dyne.org>  Sun, 20 Mar 2011 23:17:27 +0000

cfengine2 (2.2.10-2) unstable; urgency=low

  * Added the russian debconf template translation (Closes: 536403)
  * debian/control:
    + Standards-Version bumped to 3.8.3
  * debian/patches;
    + kfreebsd-configure: so cfengine2 builds on GNU/kFreeBSD (Closes: 537887)
  * debian/init.d: added $syslog dependency (Closes: 541494)
  * debian/watch: file updated to reflect the new upstream URL

 -- Antonio Radici <antonio@dyne.org>  Sun, 30 Aug 2009 11:28:02 +0100

cfengine2 (2.2.10-1) unstable; urgency=low

  * New upstream release (Closes: #533085)
  * debian/control: added DM-Upload-Allowed: yes
  * debian/info: removing cfengine-Anomalies.info because it is not
    distributed by upstream anymore
  * debian/clean: adding  doc/stamp-vti, doc/version1.texi, src/conf.h.in
    which are autogenerated

 -- Antonio Radici <antonio@dyne.org>  Sun, 14 Jun 2009 19:11:48 +0100

cfengine2 (2.2.9-3) unstable; urgency=low

  * debian/patches/admit-noclass-520696.patch
    + when admit: contains multiple hostnames and the class does
      not exist, cfengine will fail (Closes: 520696)
  * debian/patches/511666-segfault.patch
    + fix a bug involving CheckFriendReliability (Closes: 482439)
  * debian/po/bg.po: 
    + bulgarian translation by dmn@debian.org (Closes: 518445)
  * debian/control: 
    + Standards-Version updated to 3.8.1
    + cfengine2-dbg section is now debug - extra

 -- Antonio Radici <antonio@dyne.org>  Wed, 13 May 2009 00:01:36 +0100

cfengine2 (2.2.9-2) unstable; urgency=low

  * debian/rules
    + ./configure --with-workdir and --sysconfdir from 2.2.8 (Closes: #518352)
    + added the dbg package building to dh_strip
  * debian/control
    + added the dbg package

 -- Antonio Radici <antonio@dyne.org>  Thu, 05 Mar 2009 22:15:44 +0000

cfengine2 (2.2.9-1) unstable; urgency=low

  * New maintainer (Closes: #452352)
  * New upstream version 
    + dpkg package removal fixed (Closes: #506732)
  * debian/rules
    + repackaged using debhelper 7
    + added quilt.make for patches
  * debian/control:
    + new Vcs-Git and Vcs-Browser
    + added only the needed dependencies to Build-Depends and Depends
    + Standards-Version bumped to 3.8.0
  * debian/watch:
    + checking only for cfengine-2.* versions
  * debian/patches:
    + add-missing-manpages.patch: add manpage for cfdoc
      * (Closes: #366819)
    + build-only-info.patch: doc/ builds only the info files
    + fix-hyphens-in-manpages.patch: minus signs to be used as such
    + fix-install-perms.patch: strip install perms on examples
    + fix-manpages-paths.patch: same as 2.2.8-1, fix a manpath in cfengine.8
    + fix-man-sections.patch: all man sections are 8
    + fix-whatis-entries.patch: fix the whatis entries for cfetool* manpages
  * debian/copyright:
    + switching to the new format, cleaner
    + all copyrights are now correct
  * debian/README.source: about how to use quilt
  * debian/cfengine2.(postinst|preinst|postrm):
    + "cfengine2." stripped from the filenames

 -- Antonio Radici <antonio@dyne.org>  Tue, 10 Feb 2009 23:36:07 +0000

cfengine2 (2.2.8-1) unstable; urgency=low

  * New upstream release.
     - Fixes an important threading error that has become apparent with the
       influx of multicore processors.
     - Fixes problem with cfengine not sending email's. (Closes: #495710)
     - Fixes problem with cfservd serving wrong data when link->copy.

 -- Morten Werner Forsbring <werner@debian.org>  Thu, 21 Aug 2008 09:40:37 +0200

cfengine2 (2.2.7-1) unstable; urgency=low

  * New upstream release.
     - Fixes a memory leak in database access.
       (Closes: #483632, #483634, #483635)
     - Removed patches/060_first_address (included upstream).
  * Debconf translations
     - Galician translation added by Jacobo Tarrio. (Closes: #484144)

 -- Morten Werner Forsbring <werner@debian.org>  Tue, 17 Jun 2008 10:27:18 +0200

cfengine2 (2.2.6-1) unstable; urgency=medium

  * New upstream release.
     - Set urgency to medium as this fixes a nasty segfault-bug.
     - Fixing a segfault-issue introduced in 2.2.4. (Closes: #478247, #473869)
     - Removing patches/010_dpkg_langC.diff (included upstream).
  * Added patch from Chun Tian (and upstream SVN) which fixes problem where
    only the first interface was detected (introduced in 2.2.5).
  * Including the example-files into the cfengine2 package and removing the
    cfengine2-doc package. (Closes: #477171)

 -- Morten Werner Forsbring <werner@debian.org>  Mon, 28 Apr 2008 22:59:45 +0200

cfengine2 (2.2.5-1) unstable; urgency=low

  * New upstream release.
     - Now uses the "first" address of a interface for global.ipv4[ethX],
       not the last. (Closes: #455743)
     - Removing patches/011_lockdir_perm.diff (included upstream).
     - Removing patches/012_package_cfpopen.diff (included upstream).
  * Removed some documentation stuff from debian/rules as documentation
    from now is not included in the upstream tarball.
  * Added a NEWS-file for cfengine2-doc regarding the missing documentation.

 -- Morten Werner Forsbring <werner@debian.org>  Wed, 26 Mar 2008 23:26:48 +0100

cfengine2 (2.2.3-3) unstable; urgency=low

  * Do not create a sed expression for /etc/default/cfengine if debconf
    answer is empty, and do not run sed with empty expression.
    (Closes: #332225)
  * Change from using cfpopen to cfpopen_sh for running apt-cache in
    DPKGPackageCheck (src/package.c) as we added LANG=C earlier. Thanks to
    Bas van der Vlies and Elliott A. Johnson for bugreport/patch and
    follow-up. (Closes: #465586)
  * Restructured debian/copyright a bit. Thanks to Lintian for reminder.
  * Restructured prefixnumbers in debian/patches/.
  * Added patch to fix path's in manpages.
  * Added patch trying to fix/clarify information about input-files in
    cfagent- and cfengine-manpages. (Closes: #422749)

 -- Morten Werner Forsbring <werner@debian.org>  Mon, 10 Mar 2008 13:31:24 +0100

cfengine2 (2.2.3-2) unstable; urgency=low

  * Re-added debian/patches/020_lockdir_perm.diff to allow other modes
    than 755 on /var/lib/cfengine2/, but make sure it is only writeable
    by root. Thanks to Daniel Parthey for bugreport. (Closes: #318090)
  * Now using lsb init-functions to print output from init-script. Also
    added dependency on lsb-base (>= 3.0-6) to the cfengine2-package.
    Thanks to Petter Reinholdtsen for bugreport. (Closes: #457659)
  * Add -o option to start-stop-daemon for stop-action in init-script as
    there is not an error if start-stop-daemon does not have to do
    anything when stopping daemons.

 -- Morten Werner Forsbring <werner@debian.org>  Sun, 03 Feb 2008 17:37:31 +0100

cfengine2 (2.2.3-1) unstable; urgency=low

  * New upstream release. (Closes: #454090)
     - fixes segmentation faults when number of arguments supplied is more
       than 31. Thanks to Ian Patterson for patch. (Closes: #448139)
  * Bumped Standards-Version to 3.7.3 (no changes).

 -- Morten Werner Forsbring <werner@debian.org>  Thu, 06 Dec 2007 22:05:02 +0100

cfengine2 (2.2.2-1) unstable; urgency=low

  * New upstream release. (Closes: #450820)
     - Fixes infinite loop when defining multiple classes in DefineClasses.
       Thanks to Daniel Dehennin for bugreport. (Closes: #441967)
     - modified debian/patches/010_dpkg_langC.diff
  * Changed my name in debian/control.
  * Added Homepage-, Vcs-Browser- and Vcs-Svn-fields to debian/control.
  * Adjusted debian/watch file to new download-site. Thanks to
    Raphael Geissert for bugreport. (Closes: #449683)

 -- Morten Werner Forsbring <werner@debian.org>  Sun, 25 Nov 2007 19:38:02 +0100

cfengine2 (2.1.22-2) unstable; urgency=low

  * Switching to db4.6. (Closes: #421932)
  * Now using LANG=C when running apt-cache- and dpkg-commands. Thanks
    to Daniel Dehennin for bugreport. (Closes: #440531)
  * Debconf translations
     - Portuguese translation added by Rui Branco. (Closes: #425772)

 -- Morten Werner Olsen <werner@debian.org>  Tue, 18 Sep 2007 07:00:43 +0200

cfengine2 (2.1.22-1) unstable; urgency=low

  * New upstream release. (Closes: #390024)
  * Removing some old directories with unused patches from debian/.
  * Bumped Standards-Version to 3.7.2 (no changes).
  * Changed Build-Depends-Indep from tetex-bin to texlive-base-bin.
  * Fixed a typo in an old changelog-entry to make lintian happy.
  * Added cfetool-manpage as link to cfengine-manpage.
  * Debconf translations
     - German translation updated by Helge Kreutzmann (Closes: #411329)

 -- Morten Werner Olsen <werner@debian.org>  Fri, 20 Apr 2007 07:09:12 +0200

cfengine2 (2.1.20-1) unstable; urgency=low

  * New upstream release.
     - Packages section does not fail to check if a package is installed
       when there is no cmp/version specified. (Closes: #358826)

 -- Morten Werner Olsen <werner@debian.org>  Thu,  6 Apr 2006 22:41:29 +0200

cfengine2 (2.1.19p1-1) unstable; urgency=low

  * New upstream release.

 -- Morten Werner Olsen <werner@debian.org>  Thu, 23 Mar 2006 00:58:18 +0100

cfengine2 (2.1.18-1) unstable; urgency=low

  * New upstream release.
  * Removed patches/100_fix_ipv6_buffer_overrun (fixed upstream).
  * LSBize the initscript according to http://wiki.debian.org/LSBInitScripts .
  * Now doing a restart when init-script is called with force-reload to
    comply with policy 9.3.2.
  * Change my email-address in the Uploaders-field. :)

 -- Morten Werner Olsen <werner@debian.org>  Tue, 10 Jan 2006 00:05:22 +0100

cfengine2 (2.1.17-1) unstable; urgency=low

  * New upstream release.
     - vicf removed from package (Closes: #332432)
  * Acknowledging NMU and including patches/100_fix_ipv6_buffer_overrun
    (thanks to Steinar H. Gunderson). (Closes: #334304)
  * Bumped Standards-Version to 3.6.2 (no changes).
  * Added dependency to debconf-2.0. (Closes: #331773)
  * Translations:
     - Spanish (thanks to César Gómez Martín). (Closes: #334391)
     - Swedish (thanks to Daniel Nylander). (Closes: #335716)

 -- Morten Werner Olsen <werner@skolelinux.no>  Sun,  4 Dec 2005 11:45:50 +0100

cfengine2 (2.1.15-1.1) unstable; urgency=high

  * Non-maintainer upload, urgency=high since it fixes an RC-bug (which have
    already propagated to testing, through a binNMU).
  * Re-created debian/patches directory.
  * New patch, 100_fix_ipv6_buffer_overrun: Replace "struct sockaddr_in" with
    "struct sockaddr_storage" in src/proto.c, as it must be able to hold
    either an IPv4 or an IPv6 address. struct sockaddr_in is smaller than
    struct sockaddr_in6, which caused buffer overflows when using cfengine
    over IPv6. (Closes: #334304)

 -- Steinar H. Gunderson <sesse@debian.org>  Fri,  2 Dec 2005 13:47:18 +0100

cfengine2 (2.1.15-1) unstable; urgency=low

  * New upstream release.
  * Renamed debian/NEWS.Debian to debian/cfengine2.NEWS to make
    dh_installchangelogs happier. Also bumped the version number to 2.1.15-1 in
    debian/cfengine2.NEWS to display the NEWS for those who already have the
    2.1.14-1 installed. Thanks to Thimo Neubauer for bugreport and "patch".
    Closes: #310749
  * Translations:
     * Vietnamese (thanks to Clytie Siddall). Closes: #313331

 -- Morten Werner Olsen <werner@skolelinux.no>  Sun, 19 Jun 2005 23:21:46 +0200

cfengine2 (2.1.14-1) unstable; urgency=high

  * New upstream release. Closes: #304487
     * Added SIGCHLD signal handling in popen.c. Closes: #302363
     * EmailMaxLines works again. Closes: #301956
     * Fixes cfagent error with "EndLoop without ForEachLineIn" when
       ForEachLineIn exits. Closes: #302318
  * Added debian/NEWS.Debian with information about extra encryption stage
    added in C5 protocol which makes 2.1.14 cfagent clients unable to talk
    to older servers.
  * Now possible to specify arguments to cfservd (thanks to Fabien SEISEN
    for patch). Closes: #286691
  * Translations:
     * Catalan (thanks to Miguel Gea Milvaques). Closes: #290575.
     * Czech (thanks to Martin Sin). Closes: #304917

 -- Morten Werner Olsen <werner@skolelinux.no>  Thu, 28 Apr 2005 08:59:27 +0200

cfengine2 (2.1.13-1) unstable; urgency=medium

  * New upstream release.
     * Fixes cfagent problem with missing update.conf. Closes: #290943
  * Removed patches/100_strlcpy_create.
  * Now compiling with the -D_FILE_OFFSET_BITS=64. Closes: #296870
  * Changed build-depends from automake1.8 to automake1.9.

 -- Morten Werner Olsen <werner@skolelinux.no>  Mon, 21 Mar 2005 16:29:15 +0100

cfengine2 (2.1.10-2) unstable; urgency=high

  * Rolled back -Q patches. They're a great idea but on refelction probably
    shouldn't be in Debian if they're not upstream. Closes: #271735

 -- Andrew Stribblehill <ads@debian.org>  Tue, 12 Oct 2004 10:31:22 +0100

cfengine2 (2.1.10-1.1) unstable; urgency=high

  * Approved Non-maintainer upload.
  * Fix release-critical bug: "cfagent -Q sysadm fails, causing cfexecd to
    fail". Thanks to Bas van der Vlies for fixing the 110_cfagent_Q patch,
    closes: #271735.

 -- Stephen Quinney <stephen@jadevine.org.uk>  Tue, 28 Sep 2004 11:55:27 +0100

cfengine2 (2.1.10-1) unstable; urgency=medium

  * New upstream version.
  * Set urgency=medium as there are several bugfixes in this release that
    we want in sarge.
  * Removed the patches 100_prototypes_variables and 110_snprintf_dont
    (already included upstream).
  * Included the patch 110_cfagent_Q which makes it possible to query cfagent
    for variables. Thanks Bas van der Vlies.
  * Included the patch 120_cfexecd_Q which makes us use the new functionality
    from 110_cfagent_Q and let us set the smtpfrom-variable.
    Thanks Bas van der Vlies.

 -- Morten Werner Olsen <werner@skolelinux.no>  Fri, 27 Aug 2004 15:46:44 +0200

cfengine2 (2.1.9-2) unstable; urgency=low

  * More restructuring of debian/rules to make the buildd's happy:
    * Removed {build,install}-indep from the build and install targets.
    * Removed the binary-finish target and moved its contents to
      binary-cfengine2 and binary-cfengine2-doc.
    * Temporary removing cfengine.el until it get it's own -elisp package.

 -- Morten Werner Olsen <werner@skolelinux.no>  Thu, 12 Aug 2004 12:05:02 +0200

cfengine2 (2.1.9-1) unstable; urgency=low

  * New upstream version.
    Fixes problem with trusted keys written to the disk in a file named
    ".pub" instead of the "<user>-<ip>.pub" naming expected when
    cfagent/cfservd are looking for files.

 -- Morten Werner Olsen <werner@skolelinux.no>  Tue, 10 Aug 2004 12:38:57 +0200

cfengine2 (2.1.8-2) unstable; urgency=low

  * Restructuring debian/rules. Closes: #264469
    * Removed the --with-docs option to ./configure.
    * Split the build target into build-arch and build-indep.
    * Split the install target into install-arch and install-indep.
    * Added dependency to build-{arch,indep} for install{arch,indep}.
    * Started building the docs manually.

 -- Morten Werner Olsen <werner@skolelinux.no>  Mon,  9 Aug 2004 13:30:47 +0200

cfengine2 (2.1.8-1) unstable; urgency=low

  * New upstream version.
  * The "Remove -dbg" release. The package is waiting so long for ftpmasters
    that I'm worried about it failing to enter sarge if it takes any longer.

 -- Andrew Stribblehill <ads@debian.org>  Sun,  8 Aug 2004 11:20:56 +0100

cfengine2 (2.1.7p1-1) unstable; urgency=low

  * New upstream version.
  * Bumped Standards-Version to 3.6.1.
  * Added myself as uploader.

 -- Morten Werner Olsen <werner@skolelinux.no>  Thu,  8 Jul 2004 10:58:54 +0200

cfengine2 (2.1.6-1) unstable; urgency=low

  * New upstream version. Closes: #234776. Also fixes:
    * "Bad values of special variables". Closes: #252669
    * do.c contains implicit pointer conversion. Closes: #226535
  * Add de, ja, tr debconf translations. Closes: #223104, #227296, #252936
  * Minor corrections to pt_BR debconf translation. Closes: #256944
  * Use ccache if possible, using trivial cc wrapper in debian/cc.

 -- Andrew Stribblehill <ads@debian.org>  Mon,  5 Jul 2004 16:01:29 +0100

cfengine2 (2.0.9+2.1.0b5-2) unstable; urgency=low

  * Add an explanatory note to the preinst, for the case that a genuine
    directory /var/lib/cfengine2/bin/ exists and has content, to require
    the user to check it and delete it before trying again.

 -- Andrew Stribblehill <ads@debian.org>  Thu, 16 Oct 2003 14:25:14 +0100

cfengine2 (2.0.9+2.1.0b5-1) unstable; urgency=low

  * New upstream version.
  * Symlink /var/lib/cfengine2/bin to /usr/sbin for cfexecd.
    Closes: Bug#214323
  * Don't create /var/lib/cfengine2/ppkeys in postinst; let cfkey
    make it so it gets the permissions right.
    Closes: Bug#214730, #214764, #214874
  * Set the permissions for the lock directory to go-w rather than explicitly
    0755. (Patch from Daniel Parthey).
    Closes: Bug#215910
  * Allow variable expansion in admit/grant entries to
    cfservd.conf. (Patch from Kevin Squire).
    Closes: Bug#214971

 -- Andrew Stribblehill <ads@debian.org>  Wed, 15 Oct 2003 16:54:31 +0100

cfengine2 (2.0.9+2.1.0b3-1) unstable; urgency=high

  * New upstream version with security fix for cfservd. See
    http://mail.gnu.org/archive/html/bug-cfengine/2003-09/msg00013.html.
    Closes: Bug#212891.

 -- Andrew Stribblehill <ads@debian.org>  Mon, 29 Sep 2003 09:55:18 +0100

cfengine2 (2.0.7p3-7) unstable; urgency=low

  * Add Dutch debconf translations. (Closes: Bug#204913)
  * Fix input-file finding in all cases.
  * Add -Q (query) mode. Usage (eg): cfagent -Q smtpserver,sysadm

 -- Andrew Stribblehill <ads@debian.org>  Mon,  1 Sep 2003 09:13:38 +0100

cfengine2 (2.0.7p3-6) unstable; urgency=low

  * 0_cfagent_02_psfilter had an out-by-one error; Bas van der Vlies
    found it and sent me the patch, to my eternal gratitude :)
    Closes: Bug#203754

 -- Andrew Stribblehill <ads@debian.org>  Fri,  1 Aug 2003 13:45:56 +0100

cfengine2 (2.0.7p3-5) unstable; urgency=low

  * Cfagent: Look in $WORKDIR/state/ for env_data
    file. (0_cfagent_03_state_filename; Closes: Bug#202775)

 -- Andrew Stribblehill <ads@debian.org>  Fri, 25 Jul 2003 14:41:32 +0100

cfengine2 (2.0.7p3-4) unstable; urgency=low

  * Exit fatally if we can't seed from the entropy pool.
    (0_cfagent_01_rand).
  * Fix segmentation fault with some ps outputs when process filters
    are used. (0_cfagent_02_psfilter).

 -- Andrew Stribblehill <ads@debian.org>  Wed, 16 Jul 2003 18:14:54 +0100

cfengine2 (2.0.7p3-3) unstable; urgency=low

  * Look for cf.preconf in the right place. (0_cfagent_00_preconf)

 -- Andrew Stribblehill <ads@debian.org>  Wed,  2 Jul 2003 12:30:11 +0100

cfengine2 (2.0.7p3-2) unstable; urgency=low

  * Rename debian/README to debian/README.Debian so it actually gets
    distributed (*blush* Thanks Jonas Smedegaard! Closes: Bug#195657)

 -- Andrew Stribblehill <ads@debian.org>  Wed,  4 Jun 2003 22:50:20 +0100

cfengine2 (2.0.7p3-1) unstable; urgency=low

  * New upstream ver. 0_editfiles_00_install_dig rolled in.

 -- Andrew Stribblehill <ads@debian.org>  Fri, 23 May 2003 12:24:52 +0100

cfengine2 (2.0.6-2) unstable; urgency=low

  * Make DefineInGroup classes installable. (0_editfiles_00_install_dig)

 -- Andrew Stribblehill <ads@debian.org>  Tue, 13 May 2003 12:32:50 +0100

cfengine2 (2.0.6-1) unstable; urgency=low

  * New upstream version.
  * Update packaging to use the newer gettext-based debconf template
    translation system. Thanks Andre Luis Lope. (Closes: #187797)

 -- Andrew Stribblehill <ads@debian.org>  Mon, 14 Apr 2003 09:30:42 +0100

cfengine2 (2.0.5+2.0.6b1-1) unstable; urgency=low

  * Actually version 2.0.6b1. New upstream release.
  * Most patches rolled in, leaving just:
      0_cfenvd_00_ps_skiphead
      0_editfiles_00_definegroup
      0_edittools_00_brk_empty
      0_snprintf_00_dont
  * Backed out 0_cfexecd_01_file

 -- Andrew Stribblehill <ads@debian.org>  Fri, 21 Mar 2003 11:51:33 +0000

cfengine2 (2.0.5final-5) unstable; urgency=low

  * Add a README.Debian documenting the differences between the official
    Cfengine package and the Debian version.
  * 0_process_00_reportkill: Backport a fix from src-mirror that stops Cfagent
    erroneously reporting signals it will never make.
  * 0_snprintf_00_dont: Only compile snprintf if HAVE_SNPRINTF not defined
    by src/conf.h.
  * 0_cfexecd_01_file: Pass '-f <filename>' to cfagent if given.

 -- Andrew Stribblehill <ads@debian.org>  Wed, 19 Mar 2003 10:17:48 +0000

cfengine2 (2.0.5final-4) unstable; urgency=low

  * 0_cfagent_02_preconf: make cfagent seek cf.preconf in WORKDIR
    (/etc/cfengine for Debian) rather than the CWD if $CFINPUTS is
    undefined.
  * 0_cfrun_00_workdir: same for cfrun.hosts.
  * 0_item_01_iprange: Let IPRange(a.b.c-d) match properly.
  * Graffiti over the version output to state Debian package.

 -- Andrew Stribblehill <ads@debian.org>  Thu,  6 Mar 2003 12:29:45 +0000

cfengine2 (2.0.5final-3) unreleased; urgency=low

  * A little clarification about the previous release (2.0.5final-2). The
    patch (0_cfservd_00_sec) stops hosts which were in the DynamicAdresses
    list from having implicit access to all files.
  * Add undocumented experimental DefineInGroup feature to editfiles. If
    you want to see how it works, look in the mailing-list or at patch
    0_editfiles_00_definegroup.
  * Add undocumented experimental EmailMaxLines special variable. If you
    set it to a number or "inf", cfexecd limits its emails to this number
    of lines of cfagent output.

 -- Andrew Stribblehill <ads@debian.org>  Thu, 27 Feb 2003 11:06:21 +0000

cfengine2 (2.0.5final-2) unstable; urgency=low

  * Security fix from Upstream. Thanks to Manon Goo <manon@manon.de>
    for isolating the patch.

 -- Andrew Stribblehill <ads@debian.org>  Mon, 24 Feb 2003 16:15:39 +0000

cfengine2 (2.0.5final-1) unstable; urgency=low

  * New upstream version:
    * Most Debian patches rolled in, leaving only
      (renamed): 0_cfagent_00_location, 0_cfdoc_00_shebang and
      0_cfservd_00_reload.
    * Fix syslog prefixes. (closes: #168054)
  * Make info docs work properly. Now cfengine2-doc conflicts with
    cfengine-doc. Move examples into -doc package.
  * Clear TrustKeysFrom list on cfservd config-file reload.
    (0_cfservd_00_reload)
  * Clear macro definitions between the 'update' pass and the main one.
    (0_cfagent_01_env_time)
  * Separate binary-indep from binary-arch. (closes: #181454)

 -- Andrew Stribblehill <ads@debian.org>  Tue, 18 Feb 2003 13:32:12 +0000

cfengine2 (2.0.5b1-1) unstable; urgency=low

  * New upstream version.
  * Add an init script. Add a set of medium-priority debconf questions
    asking which daemons to start (closes: #148584).
  * Patch 30_daemon_close_fds: devnull std{in,out,err} and close all other
    file descriptors for each daemon. cfservd: 30_cfservd_fd_leak.patch:
    Close-on-exec of listening socket (closes: #168020).

 -- Andrew Stribblehill <ads@debian.org>  Wed,  5 Feb 2003 10:59:52 +0000

cfengine2 (2.0.4-2) unstable; urgency=low

  * Comment out dh_installcron no-op.
  * Compile with debugging symbols as default, as per latest Policy.

 -- Andrew Stribblehill <ads@debian.org>  Wed, 23 Oct 2002 09:36:13 +0100

cfengine2 (2.0.4-1) unstable; urgency=low

  * New maintainer.
  * New upstream version. (closes: #152673, #160617)
  * Remove empty /usr/share/cfengine2/examples/doc directory.
  * Fix header line for cfdoc.
  * Add symlinks for manpages.
  * Build-depend on openssl. (closes: #164777)

 -- Andrew Stribblehill <ads@debian.org>  Tue, 22 Oct 2002 15:52:22 +0100

cfengine2 (2.0.1-6) unstable; urgency=low

  * Add Build-Dep on autotools-dev and add the autoupdate
    config.{sub,guess} stuff from autotools-dev.  (closes: #147669)

 -- Tollef Fog Heen <tfheen@debian.org>  Tue, 21 May 2002 18:03:06 +0200

cfengine2 (2.0.1-5) unstable; urgency=high

  * Fix build-deps (closes: #147498)
  * Apply patch from Bas van der Vlies in 147635 which fixes a security
    hole.  (this patch is against cfengine 1 as well, will close the bug
    there)

 -- Tollef Fog Heen <tfheen@debian.org>  Tue, 21 May 2002 15:21:08 +0200

cfengine2 (2.0.1-4) unstable; urgency=low

  * Reupload with source.  Will I ever learn?

 -- Tollef Fog Heen <tfheen@debian.org>  Sun, 28 Apr 2002 11:23:39 +0200

cfengine2 (2.0.1-3) unstable; urgency=low

  * Add note from upstream which allows linking with OpenSSL

 -- Tollef Fog Heen <tfheen@debian.org>  Sat, 27 Apr 2002 22:56:02 +0200

cfengine2 (2.0.1-2) unstable; urgency=low

  * run cfkey in postinst
  * patch so that cfagent is in /usr/sbin and not /var/lib/cfengine/bin.
    Thanks to Michael Alan Dorman for pointing this out.

 -- Tollef Fog Heen <tfheen@debian.org>  Thu, 25 Apr 2002 01:17:35 +0200

cfengine2 (2.0.1-1) unstable; urgency=low

  * Initial release (closes: #136454, #118726)

 -- Tollef Fog Heen <tfheen@debian.org>  Tue, 19 Mar 2002 17:27:47 +0100
